Subject: Re: bug#12397: 24.2; gtk3 (from Macports); visible-bell trips cairo assertion

From: Chong Yidong <[email-masked]>
Date: Mon, 24 Sep 2012 10:47:28 +0800

Simon Leinen <[email-masked]> writes:

> You are right. I think I'm trapped in "DLL hell" - some libraries are
> taken from /opt/local/lib (MacPorts), but some from /usr/X11/lib,
> including an apparently older libcairo. It's surprising that things
> work at all - so far the only crashes I noticed were with
> visible-bell.
>
> I'll have to find out how to get the build system to use the right
> libraries...

OK, good luck with that.  I will close this bug report, since there
isn't much we can do on the Emacs side for this.